Bug 57239 - Kernel 2.4.9-13smp oops during high load ( include oops report )
Kernel 2.4.9-13smp oops during high load ( include oops report )
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-07 12:55 EST by Renato
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renato 2001-12-07 12:55:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
An e-mail server under high load generates this oops after 5 days running:

Dec  7 14:27:29 hm47 kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000009
Dec  7 14:27:29 hm47 kernel:  printing eip:
Dec  7 14:27:29 hm47 kernel: c012ce26
Dec  7 14:27:29 hm47 kernel: *pde = 00000000
Dec  7 14:27:29 hm47 kernel: Oops: 0002
Dec  7 14:27:29 hm47 kernel: CPU:    0
Dec  7 14:27:29 hm47 kernel: EIP:    0010:[truncate_list_pages+166/624]    
Not tainted
Dec  7 14:27:29 hm47 kernel: EIP:    0010:[<c012ce26>]    Not tainted
Dec  7 14:27:29 hm47 kernel: EFLAGS: 00010202
Dec  7 14:27:29 hm47 kernel: eax: 00000005   ebx: c14e25c0   ecx: 
00000000   edx: c145c8f0
Dec  7 14:27:29 hm47 kernel: esi: c14e25c8   edi: f75702b8   ebp: 
f7ef5d10   esp: f1327ecc
Dec  7 14:27:29 hm47 kernel: ds: 0018   es: 0018   ss: 0018
Dec  7 14:27:29 hm47 kernel: Process perl5.6.0 (pid: 2902, 
stackpage=f1327000)
Dec  7 14:27:29 hm47 kernel: Stack: f1326000 c14e25c0 00000000 f75702b8 
00000000 00000016 00000000 00000000
Dec  7 14:27:30 hm47 kernel:        f1327f04 f75702b8 00000000 00000000 
c012d04e f1327f04 00000000 f7570200
Dec  7 14:27:30 hm47 kernel:        f1326000 c02dcc60 ce3981e0 c01538bb 
f75702b8 00000000 00000000 f72c4944
Dec  7 14:27:30 hm47 kernel: Call Trace: [truncate_inode_pages+94/192] 
truncate_inode_pages [kernel] 0x5e
Dec  7 14:27:30 hm47 kernel: Call Trace: [<c012d04e>] truncate_inode_pages 
[kernel] 0x5e
Dec  7 14:27:30 hm47 kernel: [iput_free+315/576] iput_free [kernel] 0x13b
Dec  7 14:27:30 hm47 kernel: [<c01538bb>] iput_free [kernel] 0x13b
Dec  7 14:27:30 hm47 kernel: [dput+262/384] dput [kernel] 0x106
Dec  7 14:27:30 hm47 kernel: [<c0150b66>] dput [kernel] 0x106
Dec  7 14:27:30 hm47 kernel: [kfree_skbmem+12/112] kfree_skbmem [kernel] 
0xc
Dec  7 14:27:30 hm47 kernel: [<c01cc8dc>] kfree_skbmem [kernel] 0xc
Dec  7 14:27:30 hm47 kernel: [call_reschedule_interrupt+5/11] 
call_reschedule_interrupt [kernel] 0x5
Dec  7 14:27:30 hm47 kernel: [<c022dc16>] call_reschedule_interrupt 
[kernel] 0x5
Dec  7 14:27:30 hm47 kernel: [fput+119/224] fput [kernel] 0x77
Dec  7 14:27:30 hm47 kernel: [<c013e497>] fput [kernel] 0x77
Dec  7 14:27:30 hm47 kernel: [filp_close+158/176] filp_close [kernel] 0x9e
Dec  7 14:27:30 hm47 kernel: [<c013d24e>] filp_close [kernel] 0x9e
Dec  7 14:27:30 hm47 kernel: [sys_close+91/112] sys_close [kernel] 0x5b
Dec  7 14:27:30 hm47 kernel: [<c013d2bb>] sys_close [kernel] 0x5b
Dec  7 14:27:30 hm47 kernel: [system_call+51/56] system_call [kernel] 0x33
Dec  7 14:27:30 hm47 kernel: [<c010719b>] system_call [kernel] 0x33
Dec  7 14:27:30 hm47 kernel:
Dec  7 14:27:30 hm47 kernel:
Dec  7 14:27:30 hm47 kernel: Code: 89 78 04 89 07 89 5f 04 89 3b f0 0f ab 
4b 18 19 c0 85 c0 74


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps toReproduce:
1. High Load - uptime of 5 days, 25-30 processes
	

Actual Results:  It generates the oops described above.

Additional info:
Comment 1 Arjan van de Ven 2001-12-07 13:36:00 EST
can you attach a list of modules in use? (eg "lsmod" output)
Comment 2 Renato 2001-12-07 13:41:29 EST
List of modules attached:

Module                  Size  Used by
eepro100               18112   1  (autoclean)
ipchains               41792   0
raid1                  14432   3
aic7xxx               114832   8
sd_mod                 11680   8
scsi_mod              101440   2  [aic7xxx sd_mod]
Comment 3 Alan Cox 2003-06-07 19:24:32 EDT
Bug relates to the old kernel. It doesnt contain any currently useful
information so I'm closing it. If this still occurs with current errata kernels
please do re-open the bug and we'll dig deeper

Note You need to log in before you can comment on or make changes to this bug.